# ApplicationFramework
TKCDF
CDF

# CDF_DirectoryIterator Class Reference

`#include <CDF_DirectoryIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CDF_DirectoryIterator ()
| creates an Iterator with the directory of the current CDF.
Standard_EXPORT | CDF_DirectoryIterator (const Handle(CDF_Directory)&aDirectory)
Standard_EXPORT Standard_Boolean | MoreDocument ()
| Returns True if there are more entries to return .
Standard_EXPORT void | NextDocument ()
| Go to the next entry (if there is not, Value will raise an exception) .
Standard_EXPORT Handle_CDM_Document | Document ()
| Returns item value of current entry .

## Private Attributes

CDM_ListIteratorOfListOfDocument | myIterator

## Constructor & Destructor Documentation

Standard_EXPORT CDF_DirectoryIterator::CDF_DirectoryIterator | ( |  | ) |

Standard_EXPORT CDF_DirectoryIterator::CDF_DirectoryIterator | ( | const Handle(CDF_Directory)& | aDirectory | ) |

## Member Function Documentation

Standard_EXPORT Handle_CDM_Document CDF_DirectoryIterator::Document | ( |  | ) |

Standard_EXPORT Standard_Boolean CDF_DirectoryIterator::MoreDocument | ( |  | ) |

Standard_EXPORT void CDF_DirectoryIterator::NextDocument | ( |  | ) |

void CDF_DirectoryIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CDF_DirectoryIterator::operator new | ( | size_t | size | ) | `[inline]`

void* CDF_DirectoryIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

## Field Documentation

CDM_ListIteratorOfListOfDocument CDF_DirectoryIterator::myIterator `[private]`

The documentation for this class was generated from the following file:

- CDF_DirectoryIterator.hxx